Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class SimpleFdkCredential

    java.lang.Object
      oracle.ifs.fdk.SimpleFdkCredential

All Implemented Interfaces:
  FdkCredential

    public class SimpleFdkCredential

extends java.lang.Object
implements FdkCredential

An implementation of FdkCredential that encapsulates a username and password pair.

Constructor Summary
`SimpleFdkCredential(java.lang.String username, java.lang.String password)` Creates a SimpleFdkCredential with no login options.
`SimpleFdkCredential(java.lang.String username, java.lang.String password, java.util.Map options)` Creates a SimpleFdkCredential with login options.

Method Summary
`java.util.Map` | `getOptions()` Returns the login options.
`java.lang.String` | `getPassword()` Returns the password.
`java.lang.String` | `getUsername()` Returns the username for this credential.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleFdkCredential

    public SimpleFdkCredential(java.lang.String username,
                               java.lang.String password)

  Creates a SimpleFdkCredential with no login options. Both the username and password are required arguments.

  Parameters:
    `username` - The username. Required.
    `password` - The password. Required.

### SimpleFdkCredential

    public SimpleFdkCredential(java.lang.String username,
                               java.lang.String password,
                               java.util.Map options)

  Creates a SimpleFdkCredential with login options.

  Parameters:
    `username` - The username. Required.
    `password` - The password. Required.
    `options` - Login options. Optional.

Method Detail

### getUsername

    public java.lang.String getUsername()

  Description copied from class: `SimpleFdkCredential`
  Returns the username for this credential.

  Specified by:
    `getUsername` in interface `FdkCredential`
  Returns:
    The username for this credential; returns `null` if the username is not known.

### getOptions

    public java.util.Map getOptions()

  Description copied from class: `SimpleFdkCredential`
  Returns the login options. If there are no login options set, an empty map must be returned. The map must be writable so that new options could be added to it.

  Specified by:
    `getOptions` in interface `FdkCredential`
  Returns:
    The login options.

### getPassword

    public java.lang.String getPassword()

  Description copied from class: `SimpleFdkCredential`
  Returns the password.

  Returns:
    The password.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD